package com.yidianling.tests.home.http

import com.yidianling.tests.home.bean.TestHomeDataBean
import com.yidianling.tests.home.param.TestHomeParam
import com.yidianling.ydlcommon.http.BaseResponse
import io.reactivex.Observable

/**
 * @author yuanwai
 * @描述:
 * @Copyright Copyright (c) 2018
 * @Company 壹点灵
 * @date 2018/7/26
 */
interface ITestHomeHttp{
    /**
     * 测评首页请求
     */
    fun newHomeRequest(testHomeParam: TestHomeParam): Observable<BaseResponse<List<TestHomeDataBean>>>

    /**
     * 每日精选--换一批
     */
    fun dailyChange(testHomeParam: TestHomeParam): Observable<BaseResponse<TestHomeDataBean>>
}